html {
  height: 100%;
  overflow: hidden;
  position: relative;
}

body {
  font-family: Arial, sans-serif;
  background-color: #ffffff;
  margin: 0;
  padding: 0;
  width: 100vw;
  height: 100vh;
  overflow-y: scroll;
  overflow-x: hidden;
  -webkit-overflow-scrolling: touch;
}

::-webkit-scrollbar {
  display: none;
}

header {
  background: white;
  margin: 20px;
  color: rgb(0, 0, 0);
  font-size: 30px;
  text-align: left;
}

#search-container {
  display: flex;
  justify-content: center;
  margin: 20px;
  text-align: center;
}

#search-input {
  width: 100%;
  padding: 12px;
  font-size: 16px;
  border: 1px solid #636363;
  border-radius: 5px;
  outline: none;
}

#results-container {
  overflow-y: scroll;
  position: absolute;
  top: 300px;
  right: 0;
  left: 0;
  bottom: 0;
  padding: 20px;
}

.record {
  z-index: 1;
  display: flex;
  border-bottom: 1px solid #ccc;
  padding: 10px;
}

.record img {
  width: 80px;
  height: 80px;
  margin-right: 15px;
  border-radius: 5px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.record-info {
  flex: 1;
}

.record-title {
  font-weight: bold;
  font-size: 18px;
  color: #333;
  margin-bottom: 5px;
}

.record-artist {
  font-size: 16px;
  color: #666;
}

/* Responsive layout */
@media (min-width: 768px) {
  #results-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
  }
}

#filter-buttons {
  white-space: nowrap;
  overflow-x: scroll;
  margin-left: 20px;
  margin-right: 20px;
  display: flex;
  justify-content: flex-start;
  gap: 10px;
}

.filter-button {
  padding: 8px 16px;
  background-color: #000000;
  color: white;
  border: none;
  border-radius: 5px;
  font-size: 16px;
  cursor: pointer;
  white-space: nowrap;
}

.filter-button:hover {
  background-color: #636363;
}

#results-text {
  margin: 20px;
}
